% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/readsToReadStart.R
\name{readsToReadStart}
\alias{readsToReadStart}
\title{Transforms the reads in GAlignments to Read Start Positions in GRanges}
\usage{
readsToReadStart(aln)
}
\arguments{
\item{aln}{A GAlignments object of the BAM mapping file.}
}
\value{
A GRanges object containing the read start genomic positions.
For the reverse strand the read position on the genome is the end of the read
}
\description{
Transforms the reads in GAlignments to Read Start Positions in GRanges
}
\examples{
#read the BAM file into a GAlignments object using
#GenomicAlignments::readGAlignments
#the GAlignments object should be similar to ctrlGAlignments object
data(ctrlGAlignments)
aln <- ctrlGAlignments
#transform the GAlignments object into a GRanges object (faster processing)
alnGRanges <- readsToReadStart(aln)
}

